; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: crtdll.dll API calls
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________


import_proto crtdll,  \
    _CIacos, <NONE>,  '_CIacos',  \
    _CIasin, <NONE>,  '_CIasin',  \
    _CIatan, <NONE>,  '_CIatan',  \
    _CIatan2, <NONE>,  '_CIatan2',  \
    _CIcos, <NONE>,  '_CIcos',  \
    _CIcosh, <NONE>,  '_CIcosh',  \
    _CIexp, <NONE>,  '_CIexp',  \
    _CIfmod, <NONE>,  '_CIfmod',  \
    _CIlog, <NONE>,  '_CIlog',  \
    _CIlog10, <NONE>,  '_CIlog10',  \
    _CIpow, <NONE>,  '_CIpow',  \
    _CIsin, <NONE>,  '_CIsin',  \
    _CIsinh, <NONE>,  '_CIsinh',  \
    _CIsqrt, <NONE>,  '_CIsqrt',  \
    _CItan, <NONE>,  '_CItan',  \
    _CItanh, <NONE>,  '_CItanh',  \
    _HUGE_dll, <NONE>,  '_HUGE_dll',  \
    _XcptFilter, <NONE>,  '_XcptFilter',  \
    __GetMainArgs, <NONE>,  '__GetMainArgs',  \
    __argc_dll, <NONE>,  '__argc_dll',  \
    __argv_dll, <NONE>,  '__argv_dll',  \
    __dllonexit, <NONE>,  '__dllonexit',  \
    __doserrno, <NONE>,  '__doserrno',  \
    __fpecode, <NONE>,  '__fpecode',  \
    __isascii, <NONE>,  '__isascii',  \
    __iscsym, <NONE>,  '__iscsym',  \
    __iscsymf, <NONE>,  '__iscsymf',  \
    __mb_cur_max_dll, <NONE>,  '__mb_cur_max_dll',  \
    __pxcptinfoptrs, <NONE>,  '__pxcptinfoptrs',  \
    __threadhandle, <NONE>,  '__threadhandle',  \
    __threadid, <NONE>,  '__threadid',  \
    __toascii, <NONE>,  '__toascii',  \
    _abnormal_termination, <NONE>,  '_abnormal_termination',  \
    _access, <NONE>,  '_access',  \
    _acmdln_dll, <NONE>,  '_acmdln_dll',  \
    _aexit_rtn_dll, <NONE>,  '_aexit_rtn_dll',  \
    _amsg_exit, <NONE>,  '_amsg_exit',  \
    _assert, <NONE>,  '_assert',  \
    _basemajor_dll, <NONE>,  '_basemajor_dll',  \
    _baseminor_dll, <NONE>,  '_baseminor_dll',  \
    _baseversion_dll, <NONE>,  '_baseversion_dll',  \
    _beep, <NONE>,  '_beep',  \
    _beginthread, <NONE>,  '_beginthread',  \
    _c_exit, <NONE>,  '_c_exit',  \
    _cabs, <NONE>,  '_cabs',  \
    _cexit, <NONE>,  '_cexit',  \
    _cgets, <NONE>,  '_cgets',  \
    _chdir, <NONE>,  '_chdir',  \
    _chdrive, <NONE>,  '_chdrive',  \
    _chgsign, <NONE>,  '_chgsign',  \
    _chmod, <NONE>,  '_chmod',  \
    _chsize, <NONE>,  '_chsize',  \
    _clearfp, <NONE>,  '_clearfp',  \
    _commit, <NONE>,  '_commit',  \
    _commode_dll, <NONE>,  '_commode_dll',  \
    _control87, <NONE>,  '_control87',  \
    _controlfp, <NONE>,  '_controlfp',  \
    _copysign, <NONE>,  '_copysign',  \
    _cprintf, <NONE>,  '_cprintf',  \
    _cpumode_dll, <NONE>,  '_cpumode_dll',  \
    _cputs, <NONE>,  '_cputs',  \
    _cscanf, <NONE>,  '_cscanf',  \
    _ctype, <NONE>,  '_ctype',  \
    _cwait, <NONE>,  '_cwait',  \
    _daylight_dll, <NONE>,  '_daylight_dll',  \
    _dup, <NONE>,  '_dup',  \
    _dup2, <NONE>,  '_dup2',  \
    _ecvt, <NONE>,  '_ecvt',  \
    _endthread, <NONE>,  '_endthread',  \
    _environ_dll, <NONE>,  '_environ_dll',  \
    _eof, <NONE>,  '_eof',  \
    _errno, <NONE>,  '_errno',  \
    _except_handler2, <NONE>,  '_except_handler2',  \
    _execl, <NONE>,  '_execl',  \
    _execle, <NONE>,  '_execle',  \
    _execlp, <NONE>,  '_execlp',  \
    _execlpe, <NONE>,  '_execlpe',  \
    _execv, <NONE>,  '_execv',  \
    _execve, <NONE>,  '_execve',  \
    _execvp, <NONE>,  '_execvp',  \
    _execvpe, <NONE>,  '_execvpe',  \
    _exit, <NONE>,  '_exit',  \
    _expand, <NONE>,  '_expand',  \
    _fcloseall, <NONE>,  '_fcloseall',  \
    _fcvt, <NONE>,  '_fcvt',  \
    _fdopen, <NONE>,  '_fdopen',  \
    _fgetchar, <NONE>,  '_fgetchar',  \
    _fgetwchar, <NONE>,  '_fgetwchar',  \
    _filbuf, <NONE>,  '_filbuf',  \
    _fileinfo_dll, <NONE>,  '_fileinfo_dll',  \
    _filelength, <NONE>,  '_filelength',  \
    _fileno, <NONE>,  '_fileno',  \
    _findclose, <NONE>,  '_findclose',  \
    _findfirst, <NONE>,  '_findfirst',  \
    _findnext, <NONE>,  '_findnext',  \
    _finite, <NONE>,  '_finite',  \
    _flsbuf, <NONE>,  '_flsbuf',  \
    _flushall, <NONE>,  '_flushall',  \
    _fmode_dll, <NONE>,  '_fmode_dll',  \
    _fpclass, <NONE>,  '_fpclass',  \
    _fpieee_flt, <NONE>,  '_fpieee_flt',  \
    _fpreset, <NONE>,  '_fpreset',  \
    _fputchar, <NONE>,  '_fputchar',  \
    _fputwchar, <NONE>,  '_fputwchar',  \
    _fsopen, <NONE>,  '_fsopen',  \
    _fstat, <NONE>,  '_fstat',  \
    _ftime, <NONE>,  '_ftime',  \
    _ftol, <NONE>,  '_ftol',  \
    _fullpath, <NONE>,  '_fullpath',  \
    _futime, <NONE>,  '_futime',  \
    _gcvt, <NONE>,  '_gcvt',  \
    _get_osfhandle, <NONE>,  '_get_osfhandle',  \
    _getch, <NONE>,  '_getch',  \
    _getche, <NONE>,  '_getche',  \
    _getcwd, <NONE>,  '_getcwd',  \
    _getdcwd, <NONE>,  '_getdcwd',  \
    _getdiskfree, <NONE>,  '_getdiskfree',  \
    _getdllprocaddr, <NONE>,  '_getdllprocaddr',  \
    _getdrive, <NONE>,  '_getdrive',  \
    _getdrives, <NONE>,  '_getdrives',  \
    _getpid, <NONE>,  '_getpid',  \
    _getsystime, <NONE>,  '_getsystime',  \
    _getw, <NONE>,  '_getw',  \
    _global_unwind2, <NONE>,  '_global_unwind2',  \
    _heapchk, <NONE>,  '_heapchk',  \
    _heapmin, <NONE>,  '_heapmin',  \
    _heapset, <NONE>,  '_heapset',  \
    _heapwalk, <NONE>,  '_heapwalk',  \
    _hypot, <NONE>,  '_hypot',  \
    _initterm, <NONE>,  '_initterm',  \
    _iob, <NONE>,  '_iob',  \
    _isatty, <NONE>,  '_isatty',  \
    _isctype, <NONE>,  '_isctype',  \
    _ismbbalnum, <NONE>,  '_ismbbalnum',  \
    _ismbbalpha, <NONE>,  '_ismbbalpha',  \
    _ismbbgraph, <NONE>,  '_ismbbgraph',  \
    _ismbbkalnum, <NONE>,  '_ismbbkalnum',  \
    _ismbbkana, <NONE>,  '_ismbbkana',  \
    _ismbbkpunct, <NONE>,  '_ismbbkpunct',  \
    _ismbblead, <NONE>,  '_ismbblead',  \
    _ismbbprint, <NONE>,  '_ismbbprint',  \
    _ismbbpunct, <NONE>,  '_ismbbpunct',  \
    _ismbbtrail, <NONE>,  '_ismbbtrail',  \
    _ismbcalpha, <NONE>,  '_ismbcalpha',  \
    _ismbcdigit, <NONE>,  '_ismbcdigit',  \
    _ismbchira, <NONE>,  '_ismbchira',  \
    _ismbckata, <NONE>,  '_ismbckata',  \
    _ismbcl0, <NONE>,  '_ismbcl0',  \
    _ismbcl1, <NONE>,  '_ismbcl1',  \
    _ismbcl2, <NONE>,  '_ismbcl2',  \
    _ismbclegal, <NONE>,  '_ismbclegal',  \
    _ismbclower, <NONE>,  '_ismbclower',  \
    _ismbcprint, <NONE>,  '_ismbcprint',  \
    _ismbcspace, <NONE>,  '_ismbcspace',  \
    _ismbcsymbol, <NONE>,  '_ismbcsymbol',  \
    _ismbcupper, <NONE>,  '_ismbcupper',  \
    _ismbslead, <NONE>,  '_ismbslead',  \
    _ismbstrail, <NONE>,  '_ismbstrail',  \
    _isnan, <NONE>,  '_isnan',  \
    _itoa, <NONE>,  '_itoa',  \
    _itow, <NONE>,  '_itow',  \
    _j0, <NONE>,  '_j0',  \
    _j1, <NONE>,  '_j1',  \
    _jn, <NONE>,  '_jn',  \
    _kbhit, <NONE>,  '_kbhit',  \
    _lfind, <NONE>,  '_lfind',  \
    _loaddll, <NONE>,  '_loaddll',  \
    _local_unwind2, <NONE>,  '_local_unwind2',  \
    _locking, <NONE>,  '_locking',  \
    _logb, <NONE>,  '_logb',  \
    _lrotl, <NONE>,  '_lrotl',  \
    _lrotr, <NONE>,  '_lrotr',  \
    _lsearch, <NONE>,  '_lsearch',  \
    _ltoa, <NONE>,  '_ltoa',  \
    _ltow, <NONE>,  '_ltow',  \
    _makepath, <NONE>,  '_makepath',  \
    _matherr, <NONE>,  '_matherr',  \
    _mbbtombc, <NONE>,  '_mbbtombc',  \
    _mbbtype, <NONE>,  '_mbbtype',  \
    _mbccpy, <NONE>,  '_mbccpy',  \
    _mbcjistojms, <NONE>,  '_mbcjistojms',  \
    _mbcjmstojis, <NONE>,  '_mbcjmstojis',  \
    _mbclen, <NONE>,  '_mbclen',  \
    _mbctohira, <NONE>,  '_mbctohira',  \
    _mbctokata, <NONE>,  '_mbctokata',  \
    _mbctolower, <NONE>,  '_mbctolower',  \
    _mbctombb, <NONE>,  '_mbctombb',  \
    _mbctoupper, <NONE>,  '_mbctoupper',  \
    _mbctype, <NONE>,  '_mbctype',  \
    _mbsbtype, <NONE>,  '_mbsbtype',  \
    _mbscat, <NONE>,  '_mbscat',  \
    _mbschr, <NONE>,  '_mbschr',  \
    _mbscmp, <NONE>,  '_mbscmp',  \
    _mbscpy, <NONE>,  '_mbscpy',  \
    _mbscspn, <NONE>,  '_mbscspn',  \
    _mbsdec, <NONE>,  '_mbsdec',  \
    _mbsdup, <NONE>,  '_mbsdup',  \
    _mbsicmp, <NONE>,  '_mbsicmp',  \
    _mbsinc, <NONE>,  '_mbsinc',  \
    _mbslen, <NONE>,  '_mbslen',  \
    _mbslwr, <NONE>,  '_mbslwr',  \
    _mbsnbcat, <NONE>,  '_mbsnbcat',  \
    _mbsnbcmp, <NONE>,  '_mbsnbcmp',  \
    _mbsnbcnt, <NONE>,  '_mbsnbcnt',  \
    _mbsnbcpy, <NONE>,  '_mbsnbcpy',  \
    _mbsnbicmp, <NONE>,  '_mbsnbicmp',  \
    _mbsnbset, <NONE>,  '_mbsnbset',  \
    _mbsncat, <NONE>,  '_mbsncat',  \
    _mbsnccnt, <NONE>,  '_mbsnccnt',  \
    _mbsncmp, <NONE>,  '_mbsncmp',  \
    _mbsncpy, <NONE>,  '_mbsncpy',  \
    _mbsnextc, <NONE>,  '_mbsnextc',  \
    _mbsnicmp, <NONE>,  '_mbsnicmp',  \
    _mbsninc, <NONE>,  '_mbsninc',  \
    _mbsnset, <NONE>,  '_mbsnset',  \
    _mbspbrk, <NONE>,  '_mbspbrk',  \
    _mbsrchr, <NONE>,  '_mbsrchr',  \
    _mbsrev, <NONE>,  '_mbsrev',  \
    _mbsset, <NONE>,  '_mbsset',  \
    _mbsspn, <NONE>,  '_mbsspn',  \
    _mbsspnp, <NONE>,  '_mbsspnp',  \
    _mbsstr, <NONE>,  '_mbsstr',  \
    _mbstok, <NONE>,  '_mbstok',  \
    _mbstrlen, <NONE>,  '_mbstrlen',  \
    _mbsupr, <NONE>,  '_mbsupr',  \
    _memccpy, <NONE>,  '_memccpy',  \
    _memicmp, <NONE>,  '_memicmp',  \
    _mkdir, <NONE>,  '_mkdir',  \
    _mktemp, <NONE>,  '_mktemp',  \
    _msize, <NONE>,  '_msize',  \
    _nextafter, <NONE>,  '_nextafter',  \
    _onexit, <NONE>,  '_onexit',  \
    _open_osfhandle, <NONE>,  '_open_osfhandle',  \
    _osmajor_dll, <NONE>,  '_osmajor_dll',  \
    _osminor_dll, <NONE>,  '_osminor_dll',  \
    _osmode_dll, <NONE>,  '_osmode_dll',  \
    _osver_dll, <NONE>,  '_osver_dll',  \
    _osversion_dll, <NONE>,  '_osversion_dll',  \
    _pclose, <NONE>,  '_pclose',  \
    _pctype_dll, <NONE>,  '_pctype_dll',  \
    _pgmptr_dll, <NONE>,  '_pgmptr_dll',  \
    _pipe, <NONE>,  '_pipe',  \
    _popen, <NONE>,  '_popen',  \
    _purecall, <NONE>,  '_purecall',  \
    _putch, <NONE>,  '_putch',  \
    _putenv, <NONE>,  '_putenv',  \
    _putw, <NONE>,  '_putw',  \
    _pwctype_dll, <NONE>,  '_pwctype_dll',  \
    _rmdir, <NONE>,  '_rmdir',  \
    _rmtmp, <NONE>,  '_rmtmp',  \
    _rotl, <NONE>,  '_rotl',  \
    _rotr, <NONE>,  '_rotr',  \
    _scalb, <NONE>,  '_scalb',  \
    _searchenv, <NONE>,  '_searchenv',  \
    _seterrormode, <NONE>,  '_seterrormode',  \
    _setjmp, <NONE>,  '_setjmp',  \
    _setmode, <NONE>,  '_setmode',  \
    _setsystime, <NONE>,  '_setsystime',  \
    _sleep, <NONE>,  '_sleep',  \
    _snprintf, <NONE>,  '_snprintf',  \
    _snwprintf, <NONE>,  '_snwprintf',  \
    _sopen, <NONE>,  '_sopen',  \
    _spawnl, <NONE>,  '_spawnl',  \
    _spawnle, <NONE>,  '_spawnle',  \
    _spawnlp, <NONE>,  '_spawnlp',  \
    _spawnlpe, <NONE>,  '_spawnlpe',  \
    _spawnv, <NONE>,  '_spawnv',  \
    _spawnve, <NONE>,  '_spawnve',  \
    _spawnvp, <NONE>,  '_spawnvp',  \
    _spawnvpe, <NONE>,  '_spawnvpe',  \
    _splitpath, <NONE>,  '_splitpath',  \
    _stat, <NONE>,  '_stat',  \
    _statusfp, <NONE>,  '_statusfp',  \
    _strcmpi, <NONE>,  '_strcmpi',  \
    _strdate, <NONE>,  '_strdate',  \
    _strdec, <NONE>,  '_strdec',  \
    _strdup, <NONE>,  '_strdup',  \
    _strerror, <NONE>,  '_strerror',  \
    _stricmp, <NONE>,  '_stricmp',  \
    _stricoll, <NONE>,  '_stricoll',  \
    _strinc, <NONE>,  '_strinc',  \
    _strlwr, <NONE>,  '_strlwr',  \
    _strncnt, <NONE>,  '_strncnt',  \
    _strnextc, <NONE>,  '_strnextc',  \
    _strnicmp, <NONE>,  '_strnicmp',  \
    _strninc, <NONE>,  '_strninc',  \
    _strnset, <NONE>,  '_strnset',  \
    _strrev, <NONE>,  '_strrev',  \
    _strset, <NONE>,  '_strset',  \
    _strspnp, <NONE>,  '_strspnp',  \
    _strtime, <NONE>,  '_strtime',  \
    _strupr, <NONE>,  '_strupr',  \
    _swab, <NONE>,  '_swab',  \
    _sys_errlist, <NONE>,  '_sys_errlist',  \
    _sys_nerr_dll, <NONE>,  '_sys_nerr_dll',  \
    _tell, <NONE>,  '_tell',  \
    _tempnam, <NONE>,  '_tempnam',  \
    _timezone_dll, <NONE>,  '_timezone_dll',  \
    _tolower, <NONE>,  '_tolower',  \
    _toupper, <NONE>,  '_toupper',  \
    _tzname, <NONE>,  '_tzname',  \
    _tzset, <NONE>,  '_tzset',  \
    _ultoa, <NONE>,  '_ultoa',  \
    _ultow, <NONE>,  '_ultow',  \
    _umask, <NONE>,  '_umask',  \
    _ungetch, <NONE>,  '_ungetch',  \
    _unlink, <NONE>,  '_unlink',  \
    _unloaddll, <NONE>,  '_unloaddll',  \
    _utime, <NONE>,  '_utime',  \
    _vsnprintf, <NONE>,  '_vsnprintf',  \
    _vsnwprintf, <NONE>,  '_vsnwprintf',  \
    _wcsdup, <NONE>,  '_wcsdup',  \
    _wcsicmp, <NONE>,  '_wcsicmp',  \
    _wcsicoll, <NONE>,  '_wcsicoll',  \
    _wcslwr, <NONE>,  '_wcslwr',  \
    _wcsnicmp, <NONE>,  '_wcsnicmp',  \
    _wcsnset, <NONE>,  '_wcsnset',  \
    _wcsrev, <NONE>,  '_wcsrev',  \
    _wcsset, <NONE>,  '_wcsset',  \
    _wcsupr, <NONE>,  '_wcsupr',  \
    _winmajor_dll, <NONE>,  '_winmajor_dll',  \
    _winminor_dll, <NONE>,  '_winminor_dll',  \
    _winver_dll, <NONE>,  '_winver_dll',  \
    _wtoi, <NONE>,  '_wtoi',  \
    _wtol, <NONE>,  '_wtol',  \
    _y0, <NONE>,  '_y0',  \
    _y1, <NONE>,  '_y1',  \
    _yn, <NONE>,  '_yn',  \
    abort, <NONE>,  'abort',  \
    abs, <NONE>,  'abs',  \
    acos, <NONE>,  'acos',  \
    asctime, <NONE>,  'asctime',  \
    asin, <NONE>,  'asin',  \
    atan, <NONE>,  'atan',  \
    atan2, <NONE>,  'atan2',  \
    atexit, <NONE>,  'atexit',  \
    atof, <NONE>,  'atof',  \
    atoi, <NONE>,  'atoi',  \
    atol, <NONE>,  'atol',  \
    bsearch, <NONE>,  'bsearch',  \
    calloc, <NONE>,  'calloc',  \
    ceil, <NONE>,  'ceil',  \
    clearerr, <NONE>,  'clearerr',  \
    clock, <NONE>,  'clock',  \
    cos, <NONE>,  'cos',  \
    cosh, <NONE>,  'cosh',  \
    ctime, <NONE>,  'ctime',  \
    difftime, <NONE>,  'difftime',  \
    div, <NONE>,  'div',  \
    exit, <NONE>,  'exit',  \
    exp, <NONE>,  'exp',  \
    fabs, <NONE>,  'fabs',  \
    fclose, <NONE>,  'fclose',  \
    feof, <NONE>,  'feof',  \
    ferror, <NONE>,  'ferror',  \
    fflush, <NONE>,  'fflush',  \
    fgetc, <NONE>,  'fgetc',  \
    fgetpos, <NONE>,  'fgetpos',  \
    fgets, <NONE>,  'fgets',  \
    fgetwc, <NONE>,  'fgetwc',  \
    floor, <NONE>,  'floor',  \
    fmod, <NONE>,  'fmod',  \
    fopen, <NONE>,  'fopen',  \
    fprintf, <NONE>,  'fprintf',  \
    fputc, <NONE>,  'fputc',  \
    fputs, <NONE>,  'fputs',  \
    fputwc, <NONE>,  'fputwc',  \
    fread, <NONE>,  'fread',  \
    free, <.TM_aKey>,  'free',  \
    freopen, <NONE>,  'freopen',  \
    frexp, <NONE>,  'frexp',  \
    fscanf, <NONE>,  'fscanf',  \
    fseek, <NONE>,  'fseek',  \
    fsetpos, <NONE>,  'fsetpos',  \
    ftell, <NONE>,  'ftell',  \
    fwprintf, <NONE>,  'fwprintf',  \
    fwrite, <NONE>,  'fwrite',  \
    fwscanf, <NONE>,  'fwscanf',  \
    getc, <NONE>,  'getc',  \
    getchar, <NONE>,  'getchar',  \
    getenv, <NONE>,  'getenv',  \
    gets, <NONE>,  'gets',  \
    gmtime, <NONE>,  'gmtime',  \
    hread, <.hFile, .lpBuffer, .lBytes>,  'hread',  \
    hwrite, <.hFile, .lpBuffer, .lBytes>,  'hwrite',  \
    is_wctype, <NONE>,  'is_wctype',  \
    isalnum, <NONE>,  'isalnum',  \
    isalpha, <NONE>,  'isalpha',  \
    iscntrl, <NONE>,  'iscntrl',  \
    isdigit, <NONE>,  'isdigit',  \
    isgraph, <NONE>,  'isgraph',  \
    isleadbyte, <NONE>,  'isleadbyte',  \
    islower, <NONE>,  'islower',  \
    isprint, <NONE>,  'isprint',  \
    ispunct, <NONE>,  'ispunct',  \
    isspace, <NONE>,  'isspace',  \
    isupper, <NONE>,  'isupper',  \
    iswalnum, <NONE>,  'iswalnum',  \
    iswalpha, <NONE>,  'iswalpha',  \
    iswascii, <NONE>,  'iswascii',  \
    iswcntrl, <NONE>,  'iswcntrl',  \
    iswctype, <NONE>,  'iswctype',  \
    iswdigit, <NONE>,  'iswdigit',  \
    iswgraph, <NONE>,  'iswgraph',  \
    iswlower, <NONE>,  'iswlower',  \
    iswprint, <NONE>,  'iswprint',  \
    iswpunct, <NONE>,  'iswpunct',  \
    iswspace, <NONE>,  'iswspace',  \
    iswupper, <NONE>,  'iswupper',  \
    iswxdigit, <NONE>,  'iswxdigit',  \
    isxdigit, <NONE>,  'isxdigit',  \
    labs, <NONE>,  'labs',  \
    lclose, <.hFile>,  'lclose',  \
    lcreat, <.lpPathName, .iAttribute>,  'lcreat',  \
    ldexp, <NONE>,  'ldexp',  \
    ldiv, <NONE>,  'ldiv',  \
    llseek, <.hFile, .lOffset, .iOrigin>,  'llseek',  \
    localeconv, <NONE>,  'localeconv',  \
    localtime, <NONE>,  'localtime',  \
    log, <NONE>,  'log',  \
    log10, <NONE>,  'log10',  \
    longjmp, <NONE>,  'longjmp',  \
    lopen, <.lpPathName, .iReadWrite>,  'lopen',  \
    malloc, <NONE>,  'malloc',  \
    mblen, <NONE>,  'mblen',  \
    mbstowcs, <NONE>,  'mbstowcs',  \
    mbtowc, <NONE>,  'mbtowc',  \
    memchr, <NONE>,  'memchr',  \
    memcmp, <NONE>,  'memcmp',  \
    memcpy, <NONE>,  'memcpy',  \
    memmove, <.pVoid, .FunctionCall>,  'memmove',  \
    memset, <NONE>,  'memset',  \
    mktime, <NONE>,  'mktime',  \
    modf, <NONE>,  'modf',  \
    perror, <NONE>,  'perror',  \
    pow, <NONE>,  'pow',  \
    printf, <NONE>,  'printf',  \
    putc, <NONE>,  'putc',  \
    putchar, <NONE>,  'putchar',  \
    puts, <NONE>,  'puts',  \
    qsort, <NONE>,  'qsort',  \
    raise, <NONE>,  'raise',  \
    rand, <NONE>,  'rand',  \
    realloc, <NONE>,  'realloc',  \
    remove, <NONE>,  'remove',  \
    rename, <NONE>,  'rename',  \
    rewind, <NONE>,  'rewind',  \
    scanf, <NONE>,  'scanf',  \
    setbuf, <NONE>,  'setbuf',  \
    setlocale, <NONE>,  'setlocale',  \
    setvbuf, <NONE>,  'setvbuf',  \
    signal, <NONE>,  'signal',  \
    sin, <NONE>,  'sin',  \
    sinh, <NONE>,  'sinh',  \
    sprintf, <NONE>,  'sprintf',  \
    sqrt, <NONE>,  'sqrt',  \
    srand, <NONE>,  'srand',  \
    sscanf, <NONE>,  'sscanf',  \
    strcat, <NONE>,  'strcat',  \
    strchr, <.lpStart, .wMatch>,  'strchr',  \
    strcmp, <NONE>,  'strcmp',  \
    strcoll, <NONE>,  'strcoll',  \
    strcpy, <NONE>,  'strcpy',  \
    strcspn, <.lpStr, .lpSet>,  'strcspn',  \
    strerror, <NONE>,  'strerror',  \
    strftime, <NONE>,  'strftime',  \
    strlen, <NONE>,  'strlen',  \
    strncat, <.psz1, .psz2, .cchMax>,  'strncat',  \
    strncmp, <NONE>,  'strncmp',  \
    strncpy, <NONE>,  'strncpy',  \
    strpbrk, <.psz, .pszSet>,  'strpbrk',  \
    strrchr, <.lpStart, .lpEnd, .wMatch>,  'strrchr',  \
    strspn, <.psz, .pszSet>,  'strspn',  \
    strstr, <.lpFirst, .lpSrch>,  'strstr',  \
    strtod, <NONE>,  'strtod',  \
    strtok, <NONE>,  'strtok',  \
    strtol, <NONE>,  'strtol',  \
    strtoul, <NONE>,  'strtoul',  \
    strxfrm, <NONE>,  'strxfrm',  \
    swprintf, <NONE>,  'swprintf',  \
    swscanf, <NONE>,  'swscanf',  \
    system, <NONE>,  'system',  \
    tan, <NONE>,  'tan',  \
    tanh, <NONE>,  'tanh',  \
    time, <NONE>,  'time',  \
    tmpfile, <NONE>,  'tmpfile',  \
    tmpnam, <NONE>,  'tmpnam',  \
    tolower, <NONE>,  'tolower',  \
    toupper, <NONE>,  'toupper',  \
    towlower, <NONE>,  'towlower',  \
    towupper, <NONE>,  'towupper',  \
    ungetc, <NONE>,  'ungetc',  \
    ungetwc, <NONE>,  'ungetwc',  \
    vfprintf, <NONE>,  'vfprintf',  \
    vfwprintf, <NONE>,  'vfwprintf',  \
    vprintf, <NONE>,  'vprintf',  \
    vsprintf, <NONE>,  'vsprintf',  \
    vswprintf, <NONE>,  'vswprintf',  \
    vwprintf, <NONE>,  'vwprintf',  \
    wcscat, <NONE>,  'wcscat',  \
    wcschr, <NONE>,  'wcschr',  \
    wcscmp, <NONE>,  'wcscmp',  \
    wcscoll, <NONE>,  'wcscoll',  \
    wcscpy, <NONE>,  'wcscpy',  \
    wcscspn, <NONE>,  'wcscspn',  \
    wcsftime, <NONE>,  'wcsftime',  \
    wcslen, <NONE>,  'wcslen',  \
    wcsncat, <NONE>,  'wcsncat',  \
    wcsncmp, <NONE>,  'wcsncmp',  \
    wcsncpy, <NONE>,  'wcsncpy',  \
    wcspbrk, <NONE>,  'wcspbrk',  \
    wcsrchr, <NONE>,  'wcsrchr',  \
    wcsspn, <NONE>,  'wcsspn',  \
    wcsstr, <NONE>,  'wcsstr',  \
    wcstod, <NONE>,  'wcstod',  \
    wcstok, <NONE>,  'wcstok',  \
    wcstol, <NONE>,  'wcstol',  \
    wcstombs, <NONE>,  'wcstombs',  \
    wcstoul, <NONE>,  'wcstoul',  \
    wcsxfrm, <NONE>,  'wcsxfrm',  \
    wctomb, <NONE>,  'wctomb',  \
    wprintf, <NONE>,  'wprintf',  \
    wscanf, <NONE>,  'wscanf'
