; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: This file contains scan code values for control keyboard keys.
;
;  Target OS: KolibriOS
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________

keyHomeNumpad  = $47
keyUpNumpad    = $48
keyPgUpNumpad  = $49
keyLeftNumpad  = $4b
key5Numpad     = $4c
keyRightNumpad = $4d
keyEndNumpad   = $4f
keyDownNumpad  = $50
keyPgDnNumpad  = $51
keyInsNumpad   = $52
keyDelNumpad   = $53
keyEnterNumpad = $1c    ; it is ASCII $0d
keyPlusNumpad  = $4e
keyMinusNumpad = $4a
keyAsteriskNumpad = $37
keySlashNumpad = $35

keyNumLock     = $45
keyScrollLock  = $46
keyPause       = $45
keyPrtScr      = $37


keyLeft =  $4b
keyRight = $4d
keyUp    = $48  ; 72
keyDown  = $50

keyInsert  = $52
keyDelete  = $53
keyHome    = $47
keyEnd     = $4f
keyPgUp    = $49
keyPgDown  = $51

keyF1   =  $3b
keyF2   =  $3c
keyF3   =  $3d
keyF4   =  $3e

keyF5   =  $3f
keyF6   =  $40
keyF7   =  $41
keyF8   =  $42

keyF9   =  $43
keyF10  =  $44 ; used for menu and does not generate WM_KEYDOWN.
keyF11  =  $57
keyF12  =  $58

keyCapsLock   = $3a
keyShiftLeft  = $2a
keyCtrlLeft   = $1d
keyWndLeft    = $5b
keyWndRight   = $5c
keyAltLeft    = $38
keyAltRight   = $38
keyPopupMenu  = $5d
keyShiftRight = $36
keyCtrlRight  = $1d

keyBackSpace  = $0e

