;<ff
Window frmNewFromTemplate, 3, 0, 'TForm', 'New project from template...', $160C0000, $10001, 0, 725, 223, 480, 320, frmTemplatesWinProc;
Window NONE, 0, 0, 'LISTBOX', 'Listbox', $50010103, $200, 100, 0, 72, 234, 184, 0;
Window NONE, 0, 0, 'STATIC', ' Description:', $50000200, $0, 0, 238, 48, 64, 24, 0;
Window NONE, 0, 0, 'EDIT', '', $50200844, $200, 101, 238, 72, 234, 184, 0;
Window NONE, 0, 0, 'STATIC', ' &Directory for the project:', $50000200, $0, 0, 0, 0, 208, 24, 0;
Window NONE, 0, 0, 'BUTTON', 'Cancel', $50010C00, $0, 2, 240, 264, 64, 24, 0;
Window NONE, 0, 0, 'BUTTON', 'OK', $50010C01, $0, 1, 168, 264, 64, 24, 0;
Window NONE, 0, 0, 'STATIC', ' &Template:', $50000200, $0, 0, 0, 48, 56, 24, 0;
Window NONE, 2, 0, 'TButtonEdit', '', $50000080, $200, 102, 0, 24, 474, 21, 0;
;ff>
idProjectsList = 100
idProjectDesc  = 101
idDirectory    = 102



proc NewFromTemplate, .wparam, .lparam
.buffer rb 1024
.finddata FINDDATA
.findhandle dd ?
.projectdir dd ?
begin
        push    esi

        lea     eax, [.buffer]
        invoke  GetCurrentDirectoryA, 1024, eax

        stdcall CreateForm, frmNewFromTemplate, [hApplication]

        lea     esi, [.buffer]
        invoke  SendDlgItemMessageA, ebx, idDirectory, WM_SETTEXT, 0, esi

        stdcall ShowModal, ebx, MSF_CENTER
        cmp     eax, MR_OK
        jne     .endtemplate

        invoke  SendDlgItemMessageA, ebx, idDirectory, WM_GETTEXT, 1024, esi
        stdcall StrDup, esi
        stdcall StrCharCat, eax, '\'
        mov     [.projectdir], eax

; Close all open in the moment files.
;        stdcall OnCloseAll, 0, 0

; Open files of the directory like unsaved files.

; Get template directory
        invoke  SendDlgItemMessageA, ebx, idProjectsList, LB_GETCURSEL, 0, 0
        lea     edi, [.buffer]
        invoke  SendDlgItemMessageA, ebx, idProjectsList, LB_GETTEXT, eax, edi

        stdcall ConvertPath, cTemplatesDir
        mov     esi, eax

        stdcall StrCat, esi, edi
        stdcall StrCharCat, esi, '\'

        lea     edi, [.finddata]

        stdcall StrDup, esi
        push    eax
        stdcall StrCat, eax, cFilterAll
        stdcall StrPtr, eax
        invoke  FindFirstFileA, eax, edi
        stdcall StrDel ; from the stack

        cmp     eax, INVALID_HANDLE_VALUE
        je      .endtemplate

        mov     [.findhandle], eax

.allloop:
        test    [edi+FINDDATA.dwFileAttributes], FILE_ATTRIBUTE_DIRECTORY
        jnz     .nextfile

        stdcall StrDup, [.projectdir]
        lea     ecx, [edi+FINDDATA.cFileName]
        stdcall StrCat, eax, ecx
        push    eax
        mov     edx, eax       ; new name in edx

        stdcall StrDup, esi
        push    eax
        lea     ecx, [edi+FINDDATA.cFileName]
        stdcall StrCat, eax, ecx   ; template name in eax

        stdcall OpenFileByName, edx, eax, TRUE

        stdcall StrDel ; from the stack
        stdcall StrDel ; from the stack

        test    eax, eax
        jz      .nextfile

        mov     edx, eax
        mov     [edx+TOpenFile.fNeverSaved], TRUE

.nextfile:
        invoke  FindNextFileA, [.findhandle], edi
        test    eax, eax
        jnz     .allloop

.endtemplate:
        invoke  DestroyWindow, ebx
        stdcall StrDel, [.projectdir]

        pop     esi
        return
endp


cProjSelectPath text "Select directory where to create project."


winproc frmTemplatesWinProc
.str rb 1024
begin

ondefault
        stc
        return

onmessage BEM_BUTTONCLICK

        lea     edi, [.str]
        invoke  SendDlgItemMessageA, [.hwnd], idDirectory, WM_GETTEXT, 1024, edi
        stdcall SelectPathDialog, [hApplication], cProjSelectPath, edi
        test    eax,eax
        jz      .quit

        push    eax
        stdcall StrPtr, eax
        invoke  SendDlgItemMessageA, [.hwnd], idDirectory, WM_SETTEXT, 0, eax
        stdcall StrDel ; From stack

.quit:
        invoke  SetActiveWindow, [.hwnd]
        clc
        return


onmessage AM_ONIDLE
        invoke  SendDlgItemMessageA, [.hwnd], 100, LB_GETCURSEL, 0, 0

        inc     eax
        push    eax

        invoke  GetDlgItem, [.hwnd], IDOK
        invoke  EnableWindow, eax ; flag from the stack.

        clc
        return

onmessage FM_AFTERCREATE

iglobal
  cTemplatesDir db '%Fresh%\IDE\templates\',0
  cFilterAll    db '*.*', 0
endg

locals
  .finddata FINDDATA
endl

        stdcall ConvertPath, cTemplatesDir
        mov     ebx, eax

        stdcall StrCat, ebx, cFilterAll
        stdcall StrPtr, ebx

        lea     edi, [.finddata]
        invoke  FindFirstFileA, eax, edi
        cmp     eax, INVALID_HANDLE_VALUE
        je      .endoffill
        mov     esi, eax

.loop:
        test    [edi+FINDDATA.dwFileAttributes], FILE_ATTRIBUTE_DIRECTORY
        jz      .nextfile

        cmp     byte [edi+FINDDATA.cFileName], '.'
        je      .nextfile

        lea     eax, [edi+FINDDATA.cFileName]
        invoke  SendDlgItemMessageA, [.hwnd], 100, LB_ADDSTRING, 0, eax

.nextfile:
        invoke  FindNextFileA, esi, edi
        test    eax, eax
        jnz     .loop

        invoke  FindClose, esi
.endoffill:
        stdcall StrDel, ebx
        clc
        return


onmessage WM_COMMAND
locals
  .buffer rb 100
endl
        cmp     word [.wparam+2], LBN_SELCHANGE
        jne     .ondefault

        invoke  SendMessageA, [.lparam], LB_GETCURSEL, 0, 0
        cmp     eax, LB_ERR
        je      .endcommand

        lea     esi, [.buffer]
        invoke  SendMessageA, [.lparam], LB_GETTEXT, eax, esi

        stdcall ConvertPath, cTemplatesDir
        mov     ebx, eax

iglobal
  cReadmeFile db '\readme.txt', 0
endg
        stdcall StrCat, ebx, esi
        stdcall StrCat, ebx, cReadmeFile

        stdcall StrPtr, ebx
        stdcall LoadBinaryFile, eax
        jc      .endcommand
        mov     edi, eax

        invoke  SendDlgItemMessageA, [.hwnd], 101, WM_SETTEXT, 0, edi

        stdcall FreeMem, edi
        stdcall StrDel, ebx
.endcommand:
        clc
        return

endwp



